# Class Remote

java.lang.Object
bsh.Remote

public class Remote extends Object
Remote executor class. Posts a script from the command line to a BshServlet or embedded interpreter using (respectively) HTTP or the bsh telnet service. Output is printed to stdout and a numeric return value is scraped from the result.

## Constructor Summary

Constructors
Constructor
Description
`Remote()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`eval(String url, String text)`
Evaluate text in the interpreter at url, returning a possible integer return value.
`static void`
`main(String[] args)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Remote

public Remote()

## Method Details

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`

### eval

public static int eval(String url, String text) throws IOException
Evaluate text in the interpreter at url, returning a possible integer return value.

Throws:
  `IOException`